Problem

When a user tries to exalate an issue from the operation menu, JIRA responds with a 500 error.  The logging contains following details


Caused by: java.lang.NoSuchMethodError: com.atlassian.jira.issue.Issue.getCreator()Lcom/atlassian/crowd/embedded/api/User;
	at com.exalate.node.compatibility.CompatibilityService.getIssueCreator(CompatibilityService.java:834) [?:?]
	at com.exalate.node.JiraNodeService.isIssueCreatedByProxyUser(JiraNodeService.java:200) [?:?]
	at com.exalate.replication.out.EventSchedulerService.schedulePairEvent(EventSchedulerService.java:139) [?:?]
	at com.exalate.trigger.BasicTrigger.pair(BasicTrigger.java:56) [?:?]
	at com.exalate.ui.issue.ExalateIssueOperation.doExecute(ExalateIssueOperation.java:125) [?:?]
	at webwork.action.ActionSupport.execute(ActionSupport.java:165) [webwork-1.4-atlassian-30.jar:?]
	at com.atlassian.jira.action.JiraActionSupport.execute(JiraActionSupport.java:63) [jira-api-7.1.4.jar:?]
	at webwork.interceptor.DefaultInterceptorChain.proceed(DefaultInterceptorChain.java:39) [webwork-1.4-atlassian-30.jar:?]
	at webwork.interceptor.NestedInterceptorChain.proceed(NestedInterceptorChain.java:31) [webwork-1.4-atlassian-30.jar:?]
	at webwork.interceptor.ChainedInterceptor.intercept(ChainedInterceptor.java:16) [webwork-1.4-atlassian-30.jar:?]
	at webwork.interceptor.DefaultInterceptorChain.proceed(DefaultInterceptorChain.java:35) [webwork-1.4-atlassian-30.jar:?]
	at webwork.dispatcher.GenericDispatcher.executeAction(GenericDispatcher.java:225) [webwork-1.4-atlassian-30.jar:?]
	at webwork.dispatcher.GenericDispatcher.executeAction(GenericDispatcher.java:154) [webwork-1.4-atlassian-30.jar:?]
	at com.atlassian.jira.web.dispatcher.JiraWebworkActionDispatcher.service(JiraWebworkActionDispatcher.java:136) [JiraWebworkActionDispatcher.class:?]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:725) [servlet-api.jar:?]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:291) [catalina.jar:8.0.17]


Solution

The reason for this problem is an incompatibility between the add-on and JIRA. Make sure that the add-on matches the underlying version of the tracker. Check the versions table on the marketplace

https://marketplace.atlassian.com/plugins/com.exalate.jiranode/server/versionhistory


Resolve the problem by

  1. Uninstall the add-on (in the UPM)
  2. Upload the correct version of the add-on

There is no content with the specified labels